Subject: Microsoft Visual C++ 2010 project files

Description

Creation of Project files for MSVC2010 Pro and Express.
Propably the VC2008 soloution-files can just be converted.

History

#1 - 08/27/2010 09:39 pm - sfb

I'd really much rather not add more sIn/vcproj garbage into the repository. We're finally down to 1 set of them from the days when we have dsp/dsw,
sIn/vcproj and _8.sIn/_8.vcproj. Lets not start this madness again. If you need something in the mean time let 2010 convert the projects and solutions
or help us complete the CMake port. CMake should generate usable out-of-source solutions and projects for 2010 as long as you're running CMake
2.8.

#2 - 08/27/2010 09:46 pm - kervala

| second that, it would be even be better to completely remove all .vcproj and .sin files BUT windows users are not used to coding and they need files
to be able to load quickly (CMake could disturb them a lot).

If you want to use VC++ 2010, just use CMake to generate projects them and then tweak files if you need. When CMake files will be updated, your
VC++ 2010 project too.

If we provide projects for 2005, 2008, 2010, etc... Each time we modify one file, we need to modify ALL projects :s It's a headache.

#3 - 09/10/2010 10:44 am - kervala

- Status changed from New to Rejected
